using Automancer.Command.Image;
using Automancer.Common;
using Spectre.Console.Cli;

namespace Automancer.Command.Container;

public class Module : ICommandModule
{
    public string Name => "container";
    public string Description => "Container operations";
    public void Configure(IConfigurator config, CommandRegistry registry)
    {
        config.AddBranch(Name, container =>
        {
            container.SetDescription(Description);
            registry.Add(Name, Description);

            container.AddCommand<PsCommand>("ps").WithDescription("List containers");
        });
    }
}